//  name	- filedialog.C
//  programmer	- Curtis Edwards
//  Incept	- 6/98
//  Description	-  This is to demonstate the use of the Fl_File_Dialog class 
//                 and Fl_Input_File as well as the extrn "C" calls

#include <FL/Fl.H>
#include <FL/Fl_Box.H>
#include <FL/fl_file_chooser.H>
#include "Fl_File_Dialog.H"
#include <FL/fl_ask.H>

//testing callbacks
void cb1(Fl_Widget *, void *v)   //old chooser call
{
	fl_file_chooser("Pick a file","*","C:/test");
}

//testing callbacks
void cb2(Fl_Widget *, void *v)   //gets the result from the dialog call
{
   char selection[FL_MAX_PATH+200];
   int slash;
   strcpy(selection, "*.*");   //setlocation and/or path 
   slash = fl_file_dialog("Open File",selection,0,0,0);
   if(slash) fl_message((char*)(selection+slash));
}

//testing callback exit
void cb3(Fl_Widget *, void *v) 
{
 	exit(0);
}

int main(int argc, char **argv) 
{
  Fl_Window window(250, 165);
  Fl_Box box(10, 10, 230, 110);
  box.box(FL_DOWN_BOX);
  box.color(50);
  box.labelcolor(48);  
  Fl_Button b1(20, 30, 210, 30, "Test Dir - File_Chooser");
  b1.callback(cb1,&box);

  Fl_Button b2(20, 70, 210, 30, "File_Dialog");
  b2.callback(cb2,&box);
  
  Fl_Return_Button return_button(80, 130, 90, 30, "OK");
  return_button.callback(cb3,&box);

  window.show(argc,argv);
  return Fl::run();
 
}
